---
import HeroSection from '../../../../landing-page/frontend/components/hero/index.astro' //'components/landing-page/hero/index.astro';
import FixedNavbar from '../../../../landing-page/frontend/components/navbar/index.astro';
import RectangleCard from '../../../../landing-page/frontend/components/rectangle-card/index.astro';
import SectionTitle from '../../../../landing-page/frontend/components/section-title/index.astro'
import SpotItem from '../../../../landing-page/frontend/components/spot-item/index.astro'
---

<div class="content__container">
  <div class="navbar__container">
    <FixedNavbar />
  </div>
  <section class="hero_container">
    <HeroSection />
  </section>
  <section class="summary_container">
    <div class="summary_container-left">
      <RectangleCard
        height="300px"
        coverImage="jovenes-1.jpeg" />
    </div>
    <div class="summary_container-right">
      <p>
        La educación es un derecho universal. Más allá de ser una herramienta para ser contratados como empleados, se trata de algo que nos permite desarrollarnos como individuos, conocer, disfrutar y defender nuestra libertad. Si queremos ser libres, la educación también debería serlo.
      </p>
    </div>
  </section>
  <section class="spot_container">
    <div class="spot_square">
      <div class="spot_title">
        <h2>Educación libre</h2>
        <p>para todas y todos</p>
      </div>
      <div id="spot" class="spot_items">
        <SpotItem
          icon="💻"
          title="Contenido"
          description="Accede y descarga contenidos gratuitos cuando lo necesites."
          exploreLink="#spot"
          exploreLabel="Explorar" />
        <SpotItem
          icon="👩🏻‍🏫"
          title="Talleres"
          description="Participa proyectos y talleres en vivo."
          exploreLink="#spot"
          exploreLabel="Ver próximos talleres" />
        <SpotItem
          icon="🤝"
          title="Colaboración"
          description="Pregunta a profesores y estudiantes verificados, y  encuentra respuestas a tus dudas."
          exploreLink="#spot"
          exploreLabel="Aviso de privacidad" />
      </div>
    </div>
  </section>
  <section id="careers" class="careers_summary_container">
    <SectionTitle
      title="Carreras"
      subtitle="Materias y recursos organizados de forma clara para guiar tu aprendizaje enfocando el esfuerzo en un gran objetivo. \
        Visualiza tu progreso, realiza los tests las veces que lo necesites, repasa las video-clases para reforzar tu conocimiento." />
    <div class="items_container">
      <RectangleCard coverImage="confusing-path.jpeg" />
      <RectangleCard coverImage="career-1.jpg" />
    </div>
  </section>
  <section id="courses" class="courses_summary_container">
    <SectionTitle
      title="Cursos"
      subtitle="Clases y recursos super enfocados en objetivos de corto plazo para desarrollar conocimientos y habilidades específicos. Realiza tests las veces que lo necesites, repasa las clases, has tus apuntes y gana experienca." />
      <div class="items_container">
        <RectangleCard coverImage="young-person-learning-coding-online.webp" />
        <RectangleCard coverImage="article-cover.jpeg" />
      </div>
  </section>
  <section id="lessons" class="lessons_summary_container">
    <SectionTitle
      title="Clases"
      subtitle="Cada clase es concreta, con videos y versión escrita, te brindan los recursos que necesitarás. Puedes acceder a ellas sin involucrarte en cursos o carreras completas." />
    <div class="items_container">
      <RectangleCard coverImage="management.jpeg" />
      <RectangleCard coverImage="angles-lesson-1.jpeg" />
      <RectangleCard coverImage="maths-lesson-1.jpeg" />
    </div>
  </section>
</div>

<style>
  .content__container {
    display: grid;
    grid-template-columns: auto clamp(100px, 900px, 100vw) auto;
    grid-template-rows: 60px 100vh 600px 550px 400px 400px 400px;
  }


  .navbar__container,
  .hero_container {
    grid-column-start: 1;
    grid-column-end: 4;
  }

  .hero_container {
    background: #134E5E;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to top, #71B280, #134E5E);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to top, #71B280, #134E5E); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
  }

  .summary_container,
  .spot_container,
  .careers_summary_container,
  .courses_summary_container,
  .lessons_summary_container {
    grid-column-start: 2;
    grid-column-end: 3;
    padding: 1rem;
  }

  .navbar__container {
    grid-row-start: 1;
    grid-row-end: 2;
  }

  .hero_container {
    grid-row-start: 2;
    grid-row-end: 3;
  }

  .items_container {
    margin-top: 1rem;
    display: flex;
    flex-direction: row;
    gap: 1rem;
  }

  .summary_container {
    grid-row-start: 3;
    grid-row-end: 4;
    display: flex;
    gap: 2rem;
    padding: 2rem;
    align-items: center;
  }

  .summary_container-left, .summary_container-right {
    flex: 1;
    font-size: 1.50rem;
  }

  .summary_container-right p {
    margin: 0;
    padding: 0;
  }

  .spot_title {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .spot_title > h2 {
    margin: 0;
    margin-top: 2rem;
  }

  .spot_items {
    display: flex;
    align-items: center;
    justify-content: space-around;
    padding: 2rem;
  }

  .spot_square {
    padding: 1rem;
    border-radius: 1rem;
    background: #134E5E;
    background: -webkit-linear-gradient(to bottom, #71B280, #134e5ece);
    background: linear-gradient(to bottom, #71B280, #134e5ece);
  }

  .spot_item {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .spot_container {
    grid-row-start: 4;
    grid-row-end: 5;
  }

  .careers_summary_container {
    grid-row-start: 5;
    grid-row-end: 6;
  }

  .courses_summary_container {
    grid-row-start: 6;
    grid-row-end: 7;
  }

  .lessons_summary_container {
    grid-row-start: 7;
    grid-row-end: 8;
  }
</style>
